Search Support

Firefox crashes

more options

I instill flashplayer and works of little then it crashes

All Replies (1)

more options

IMO, since you are using WinXP you would be better off with Flash 10.3.183.90 instead of Flash 15.0.

A whole lot less troublesome than the later versions of Flash are on WinXP, which can't use some of the new features in Flash 11 and later versions. And Adobe kept it up-to-date with security updates until a few months before Microsoft ended support for WinXP. IIRC, the last update was back in Nov 2013.